IPlateau

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Interface IPlateau

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  PlateauImpl

    public interface IPlateau

extends java.rmi.Remote

Interface Plateau

Method Summary
`java.lang.String` | `affiche()`
`void` | `ajouteJoueur(java.lang.String nom)` Methode reseaux
`void` | `ajouteJoueursIA()`
`void` | `effacerPlis()`
`java.util.ArrayList<ICarte>` | `getDernierPlis()`
`java.util.ArrayList<IJoueur>` | `getEquipe1()`
`java.util.ArrayList<IJoueur>` | `getEquipe2()`
`IJoueur` | `getJoueurCourant()`
`java.util.ArrayList<IJoueur>` | `getJoueurs()`
`java.util.ArrayList<IJoueurA>` | `getJoueursA()`
`java.util.ArrayList<IJoueurM>` | `getJoueursM()`
`int` | `getNbJoueursMan()`
`IPioche` | `getPioche()`
`ITapis` | `getTapis()`
`void` | `jeuADeux(java.util.ArrayList<java.lang.Integer> manuels)` Methodes normales
`void` | `jeuAQuatre(java.util.ArrayList<java.lang.Integer> team1, java.util.ArrayList<java.lang.Integer> team2, java.util.ArrayList<java.lang.Integer> manuels)`
`void` | `majDernierPli(ICarte cMain, java.util.ArrayList<ICarte> cTapis)`
`ICarte` | `piocher()`
`void` | `poser(ICarte c)`
`void` | `prendre(ICarte main, java.util.ArrayList<ICarte> tapis)`
`boolean` | `resteCartes()`
`void` | `setEquipes(java.util.ArrayList<java.lang.Integer> list)`
`void` | `setJoueurCourant()`
`void` | `setNbJoueursMan(int n)`
`void` | `setPioche(IPioche pioche)`
`void` | `setTapis(ITapis tapis)`

Method Detail

### ajouteJoueur

    void ajouteJoueur(java.lang.String nom)
                      throws java.rmi.RemoteException

  Methode reseaux

  Throws:
    `java.rmi.RemoteException`

### ajouteJoueursIA

    void ajouteJoueursIA()
                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### jeuADeux

    void jeuADeux(java.util.ArrayList<java.lang.Integer> manuels)
                  throws java.rmi.RemoteException

  Methodes normales

  Throws:
    `java.rmi.RemoteException`

### jeuAQuatre

    void jeuAQuatre(java.util.ArrayList<java.lang.Integer> team1,
                    java.util.ArrayList<java.lang.Integer> team2,
                    java.util.ArrayList<java.lang.Integer> manuels)
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### piocher

    ICarte piocher()
                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### resteCartes

    boolean resteCartes()
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### poser

    void poser(ICarte c)
               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### prendre

    void prendre(ICarte main,
                 java.util.ArrayList<ICarte> tapis)
                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### effacerPlis

    void effacerPlis()
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setPioche

    void setPioche(IPioche pioche)
                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setTapis

    void setTapis(ITapis tapis)
                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setJoueurCourant

    void setJoueurCourant()
                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setNbJoueursMan

    void setNbJoueursMan(int n)
                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setEquipes

    void setEquipes(java.util.ArrayList<java.lang.Integer> list)
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### majDernierPli

    void majDernierPli(ICarte cMain,
                       java.util.ArrayList<ICarte> cTapis)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getDernierPlis

    java.util.ArrayList<ICarte> getDernierPlis()
                                               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getPioche

    IPioche getPioche()
                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getNbJoueursMan

    int getNbJoueursMan()
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getJoueurs

    java.util.ArrayList<IJoueur> getJoueurs()
                                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getTapis

    ITapis getTapis()
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getJoueurCourant

    IJoueur getJoueurCourant()
                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getEquipe1

    java.util.ArrayList<IJoueur> getEquipe1()
                                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getEquipe2

    java.util.ArrayList<IJoueur> getEquipe2()
                                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getJoueursA

    java.util.ArrayList<IJoueurA> getJoueursA()
                                              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getJoueursM

    java.util.ArrayList<IJoueurM> getJoueursM()
                                              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### affiche

    java.lang.String affiche()
                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD